Posted by biospot
Henagon

Older Iphone / Ipads can't upgrade to newest version of teamviewer. Error is "Cannot connect to App Store"

I recently tried to use my team viewer app on my iphones (and ipads also). I have 4 iphone 4's and 5 ipad 3's

When I try to connect the message pops up that "you are trying to connect to a newer version of teamviewer and need to update to the latest version to connect"

Then an "update" button shows up

when I click on the "update" button, the units (all 9 of them) go to the app store then a message pops up "Cannot connect to app store" and I am done.

I removed and reinstalled team viewer (from the same app store that I can't get from the update button) but it does the same thing after the reinstall. I  have tried this on all my apple devices and they all do the same thing.

Can anyone give me a hint? I could remove the newer teamviewer from my computer but this seems to be a bug in teamviewer. Not sure what, but it seems that way to me

I have been using teamviewer at my home for 3-4 years now happily.

 

1 Reply
1 Reply
Posted by biospot
Henagon

Re: Older Iphone / Ipads can't upgrade to newest version of teamviewer. Error is "Cannot connect to App Store"

It seems that no one is interested in this. I'm sad